[OSM-talk] problem compiling mapnik

Jon Burgess jburgess777 at googlemail.com
Thu Feb 5 00:46:18 GMT 2009


On Wed, 2009-02-04 at 17:40 +0530, Kenneth Gonsalves wrote:
> hi,
> 
> I was trying to compile mapnik from source using the command:
> 
> python scons/scons.py 
> 
> I get this error:
> /usr/include/boost/python/object_core.hpp:309: 
> error: ‘object_base_initializer’ was not declared in this scope
> 
> I am on mandriva2008
> 
> any clues?

What versions of Mapnik, boost and gcc do you have?
You might get more responses on the mapnik-users or mapnik-devel list.

	Jon
	





More information about the talk mailing list